Bug 845009 - Don't add wireless network to connection list if user cancels its setup upon first connection
Don't add wireless network to connection list if user cancels its setup upon ...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: NetworkManager (Show other bugs)
6.4
Unspecified Unspecified
medium Severity medium
: beta
: 6.4
Assigned To: Dan Williams
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-01 09:11 EDT by David Jaša
Modified: 2013-03-11 11:11 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-11 11:11:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Jaša 2012-08-01 09:11:32 EDT
Description of problem:
Don't add wireless network to connection list if user cancels its setup upon first connection

Version-Release number of selected component (if applicable):
NetworkManager-0.8.1-33.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1. be in range of WEP/WPA network not-yet-known to NM 
2. in nm-applet, click this network
3. quit dialog without actually connecting
  
Actual results:
NM (nm-applet?) adds the network to its connection list

Expected results:
network connection is remembered at actual connection attempt - after user sets up connection details, passphrases etc and _confirms_ them

Additional info:
NM tries to connect to such networks whenever user gets in their range but the user action suggests that user doesn't want to connect to the network at all.
Comment 1 RHEL Product and Program Management 2012-12-14 02:21:35 EST
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 2 Dan Williams 2013-02-25 17:46:58 EST
In RHEL7 NM will only autoconnect to networks that are successful.  Perhaps we can punt from RHEL6 and call this bug fixed?
Comment 3 David Jaša 2013-03-11 11:04:31 EDT
If you don't intend to fix this in .el6, close it...
Comment 4 Dan Williams 2013-03-11 11:11:29 EDT
Yeah, not in 6, but certainly fixed in latest Fedora and 7.

Note You need to log in before you can comment on or make changes to this bug.